Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.itemgenerator.types
Class ItemType

    java.lang.Object
      de.jsystems.itemgenerator.types.ItemType

All Implemented Interfaces:
  Serializable

public final class ItemType
extends Object
implements Serializable

Aufzaehlungsklasse fuer die moeglichen Itemtypen.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary
`static ItemType` | `ITEM` Basisklasse fuer das Item ist die Klasse Item.
`static ItemType` | `TABLEITEM` Basisklasse fuer das Item ist die Klasse TreeItem.
`static ItemType` | `TREEITEM` Basisklasse fuer das Item ist die Klasse TreeItem.

Method Summary
`boolean` | `equals(Object o)` Prueft das uebergebene Object auf Gleichheit mit diesem Object.
`static ItemType` | `getItemType(String name)` Gibt die zum uebergebenen Namen passende Konstante zurueck.
`String` | `getName()` Gibt die Bezeichnung fuer den Typ zurueck.
`int` | `hashCode()` Gibt den Hashcode fuer den Typ zurueck.
`String` | `toString()` Gibt eine Stringrepraesentation des Objektes zurueck.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ITEM

    public static final ItemType ITEM

  Basisklasse fuer das Item ist die Klasse Item.

### TREEITEM

    public static final ItemType TREEITEM

  Basisklasse fuer das Item ist die Klasse TreeItem.

### TABLEITEM

    public static final ItemType TABLEITEM

  Basisklasse fuer das Item ist die Klasse TreeItem.

Method Detail

### getName

    public String getName()

  Gibt die Bezeichnung fuer den Typ zurueck.

  Returns:
    Die Bezeichnung fuer den Typ.

### hashCode

    public int hashCode()

  Gibt den Hashcode fuer den Typ zurueck. Dabei handelt es sich um den Hashcode des Namens fuer den Typ.

  Returns:
    Der Hashcode des Typs.

### equals

    public boolean equals(Object o)

  Prueft das uebergebene Object auf Gleichheit mit diesem Object. Die Objekte sind dann gleich, wenn das uebergebene Objekt vom gleichen Typ ist und der Name beider Objekte gleich ist.

  Parameters:
    `o` - Das mit diesem Objekt zu vergleichende Objekt.
  Returns:
    boolean TRUE, wenn beiden Objekte gleich sind.

### toString

    public String toString()

  Gibt eine Stringrepraesentation des Objektes zurueck. Hier wird einfach der Name des Typs zurueckgegeben.

  Returns:
    Eine Stringrepraesentation des Objektes.

### getItemType

    public static ItemType getItemType(String name)

  Gibt die zum uebergebenen Namen passende Konstante zurueck. Falls es zu dem uebergebenen Namen keine Konstante gibt, wird NULL zurueckgegeben.

  Parameters:
    `name` - Ein Bezeichner zu dem die Konstante gehoert.
  Returns:
    ItemVisibility Die zum uebergebenen Bezeichner gehoerende Konstante oder NULL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD